# Update this token

Updating different fields represented by the token.

Endpoint: PUT /tokens/{tokenId}
Version: 3
Security: BasicAuth

## Path parameters:

  - `tokenId` (string, required)
    Access Worldpay encrypted token.

## Request fields (application/vnd.worldpay.tokens-v3.hal+json):

  - `schemeTransactionReference` (string)
    A value provided by Visa or Mastercard which tracks recurring transactions.Note: You are not normally expected to provide a value for schemeTransactionReference. If you are using the [Verified Tokens API](/products/verified-tokens/@v3/index.md) to create tokens, it is automatically included where applicable.

  - `cardHolderName` (string)
    The name on your customer's card.

  - `description` (string)

  - `month` (integer)

  - `year` (integer)

  - `address1` (string)

  - `address2` (string)

  - `address3` (string)

  - `postalCode` (string)

  - `city` (string)

  - `state` (string)

  - `countryCode` (string)

## Response 429 fields (application/vnd.worldpay.tokens-v3.hal+json):

  - `errorName` (string)
    Example: "maximumUpdatesExceeded"

  - `message` (string)
    Example: "Maximum number of updates for this token exceeded"


## Response 204 fields
